---
sidebar_label: ConnectionCallback
---

# ConnectionCallback interface

**Signature:**

```typescript
export interface ConnectionCallback
```

## Properties

| Property                                           | Modifiers | Type                                          | Description |
| -------------------------------------------------- | --------- | --------------------------------------------- | ----------- |
| [error](./puppeteer.connectioncallback.error.md)   |           | [ProtocolError](./puppeteer.protocolerror.md) |             |
| [method](./puppeteer.connectioncallback.method.md) |           | string                                        |             |

## Methods

| Method                                                     | Description |
| ---------------------------------------------------------- | ----------- |
| [reject(args)](./puppeteer.connectioncallback.reject.md)   |             |
| [resolve(args)](./puppeteer.connectioncallback.resolve.md) |             |
